Ubuntu

network manager won't save fixed ip settings on wired connections

Reported by milasch on 2008-10-14
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
Medium
Unassigned

Bug Description

Trying to set a static IP address on Intrepid Ibex Beta's out of the box network manager (version 0.70), and I do the following:

Right click on the task bar's icon, select "Edit Connections", On wired tab I click on the only interface shown (auto eth0), then click on Edit, select IPV4 settings, change the method to manual, write my own settings, for IP/Mask/Gateway and finally DNS, click OK, but nothing changes when I do ifconfig. If I reboot the settings I've inserted there will not show.

milasch@milasch-desktop:~$ lsb_release -rd
Description: Ubuntu intrepid (development branch)
Release: 8.10

milasch@milasch-desktop:~$ sudo apt-cache policy network-manager
[sudo] password for milasch:
network-manager:
  Installed: 0.7~~svn20081008t224042-0ubuntu3
  Candidate: 0.7~~svn20081008t224042-0ubuntu3
  Version table:
 *** 0.7~~svn20081008t224042-0ubuntu3 0
        500 http://ca.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
milasch@milasch-desktop:~$

Alexander Sack (asac) wrote :

does this still happen for you? I think you have to rename your connection or create a new one. The auto connections are somewhat read-only - until you renamed them.

Changed in network-manager:
status: New → Incomplete
importance: Undecided → Medium
status: Incomplete → Triaged
milasch (jfilho-gmail) wrote :

yes, it is still happening.... Here is what I did:

Created a new connection, gave the manual ipv4 settings, and clicked ok;
A new connection was then available for me to select when right clicking the system tray network-manager icon. The settings didn't work right away;
I tried deleting auto eth0, and then yes, the settings of the new connection took effect.
I tried then to reboot the computer, and found out the settings went back to its prior state, with the DHCP mode.
Then I right clicked the system tray icon to find there was no option to change the settings to my new created connection, I mean, it wasn't showing there, although when I go to Edit Connections, it is shown there.
One thing I noticed, auto eth0 connection came back, and if I change it to manual ipv4 settings and rename it, it doesn't take effect. It also states in the auto eth0 connection a "never" on the second column, and I believe that it means it has never been used. My new created connection states "3 minutes ago" and will take effect only if I delete auto eth0 (since there is no way of changing it to the current connection to be used).

But if I reboot, auto eth0 will come back again.

photonymous (photonymous) wrote :

I'm experiencing this same (or very closely related) bug. I use static IPs on my home network. When I right click on the network icon, add my IP, gateway, etc.... values (as I did with 8.04) the settings don't stick. I have the latest 8.10 updates as of Oct 25 2008; I'm running the 32-bit version.

Dito. I didn't see it at first, upgraded during the week-end at home (over my wireless). It wasn't until I got in at work today and docked my laptop that I noticed that the wired network never came up.

I had to ifconfig * down everything but eth0 and lo and then manually edit resolv.conf to get anything to work.

Changing any auto ethN or adding a new one doesn't bite.

David Perfors (dnperfors) wrote :

Auto eth0 is not changeable for me either, but adding a new one is working for me, it get saved, but I cant find out how to start it automatically. (Running the release version)

Yup, i was able to do this, but it is very flaky. On bootup, it takes it a
while to figure out to use the manually configured one, but eventually uses
it.

On Tue, Nov 4, 2008 at 11:23 AM, David Perfors <email address hidden> wrote:

> Auto eth0 is not changeable for me either, but adding a new one is
> working for me, it get saved, but I cant find out how to start it
> automatically. (Running the release version)
>
> --
> network manager won't save fixed ip settings on wired connections
> https://bugs.launchpad.net/bugs/283233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

teet (alexteeters) wrote :

"Auto eth0 is not changeable for me either, but adding a new one is working for me, it get saved, but I cant find out how to start it automatically. (Running the release version)"

Basically the same problem here. I can create a new static wired connection and then connect to it by left clicking on the network-manager icon and then choosing my newly created connection. Everything works fine. Then I reboot and it automatically reverts me to using a DHCP connection called "Auto eth0". This problem has been present for me since 8.10 alpha 6. I would have created a bug report about it, but I thought this was a known issue: https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/256054

Guess they're not the same issue really...

Pablos544 (pablo-ezrider) wrote :

I've just downloaded Ubuntu 8.10 and have experienced a similar problem. I'm trying to set-up a static IP address for my PC but the Network Settings don't 'stick' as the guy above 'photonymous' says, and when i reboot the 'Auto eth0' connection resurfaces.

Further confusingly the Network Control Panel in Ubuntu claims that the 'Auto-eth0' connection is 'never' whereas my newly created 'My eth0' connection is '3 minutes' but when i delete the auto-connection the system tray proudly proclaims that that 'My network is now disconnected', and in a few moments the Network Manager announces through the System Tray that 'My eth0' connection is now connected. But when i restart the computer the 'Auto eth0' connection is again created and it is the default connection. My new connection is there but not active. I manually then have to convince the system that 'My eth0' is the one to use again, but no matter what i do these settings are lost next time start Ubuntu which then goes back using 'Auto eth0'.

This didn't use to be no problem in Ubuntu 8.04.

photonymous (photonymous) wrote :

Yup, I also experienced similar symptoms. This thing has multiple problems
and un-intuitive behaviours, and needs to be fixed!

On Sat, Nov 8, 2008 at 11:23 AM, Pablos544 <email address hidden> wrote:

> I've just downloaded Ubuntu 8.10 and have experienced a similar problem.
> I'm trying to set-up a static IP address for my PC but the Network
> Settings don't 'stick' as the guy above 'photonymous' says, and when i
> reboot the 'Auto eth0' connection resurfaces.
>
> Further confusingly the Network Control Panel in Ubuntu claims that the
> 'Auto-eth0' connection is 'never' whereas my newly created 'My eth0'
> connection is '3 minutes' but when i delete the auto-connection the
> system tray proudly proclaims that that 'My network is now
> disconnected', and in a few moments the Network Manager announces
> through the System Tray that 'My eth0' connection is now connected. But
> when i restart the computer the 'Auto eth0' connection is again created
> and it is the default connection. My new connection is there but not
> active. I manually then have to convince the system that 'My eth0' is
> the one to use again, but no matter what i do these settings are lost
> next time start Ubuntu which then goes back using 'Auto eth0'.
>
> This didn't use to be no problem in Ubuntu 8.04.
>
> --
> network manager won't save fixed ip settings on wired connections
> https://bugs.launchpad.net/bugs/283233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ahmed Elayan (whateverian) wrote :

Same problem here.. and it wasn't the case with 8.04!

That's exactly what I thought. Thanks!! :)

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
photonymous
Sent: 09 November 2008 01:30
To: <email address hidden>
Subject: Re: [Bug 283233] Re: network manager won't save fixed ip settings
onwired connections

Yup, I also experienced similar symptoms. This thing has multiple problems
and un-intuitive behaviours, and needs to be fixed!

On Sat, Nov 8, 2008 at 11:23 AM, Pablos544 <email address hidden> wrote:

> I've just downloaded Ubuntu 8.10 and have experienced a similar problem.
> I'm trying to set-up a static IP address for my PC but the Network
> Settings don't 'stick' as the guy above 'photonymous' says, and when i
> reboot the 'Auto eth0' connection resurfaces.
>
> Further confusingly the Network Control Panel in Ubuntu claims that the
> 'Auto-eth0' connection is 'never' whereas my newly created 'My eth0'
> connection is '3 minutes' but when i delete the auto-connection the
> system tray proudly proclaims that that 'My network is now
> disconnected', and in a few moments the Network Manager announces
> through the System Tray that 'My eth0' connection is now connected. But
> when i restart the computer the 'Auto eth0' connection is again created
> and it is the default connection. My new connection is there but not
> active. I manually then have to convince the system that 'My eth0' is
> the one to use again, but no matter what i do these settings are lost
> next time start Ubuntu which then goes back using 'Auto eth0'.
>
> This didn't use to be no problem in Ubuntu 8.04.
>
> --
> network manager won't save fixed ip settings on wired connections
> https://bugs.launchpad.net/bugs/283233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
network manager won't save fixed ip settings on wired connections
https://bugs.launchpad.net/bugs/283233
You received this bug notification because you are a direct subscriber
of the bug.

Status in "network-manager" source package in Ubuntu: Triaged

Bug description:
Trying to set a static IP address on Intrepid Ibex Beta's out of the box
network manager (version 0.70), and I do the following:

Right click on the task bar's icon, select "Edit Connections", On wired tab
I click on the only interface shown (auto eth0), then click on Edit, select
IPV4 settings, change the method to manual, write my own settings, for
IP/Mask/Gateway and finally DNS, click OK, but nothing changes when I do
ifconfig. If I reboot the settings I've inserted there will not show.

milasch@milasch-desktop:~$ lsb_release -rd
Description: Ubuntu intrepid (development branch)
Release: 8.10

milasch@milasch-desktop:~$ sudo apt-cache policy network-manager
[sudo] password for milasch:
network-manager:
  Installed: 0.7~~svn20081008t224042-0ubuntu3
  Candidate: 0.7~~svn20081008t224042-0ubuntu3
  Version table:
 *** 0.7~~svn20081008t224042-0ubuntu3 0
        500 http://ca.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
milasch@milasch-desktop:~$

Pablos544 (pablo-ezrider) wrote :

-----Original Message-----
Hi Ahmed,
Yea man. It's a shame to see a company go down this way. I was hoping I was
getting away from this. Oh well, perhaps now that Bush has gone they'll
concentrate better!! :)
Pablo.

From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Ahmed Elayan
Sent: 09 November 2008 09:00
To: <email address hidden>
Subject: [Bug 283233] Re: network manager won't save fixed ip settings
onwired connections

Same problem here.. and it wasn't the case with 8.04!

--
network manager won't save fixed ip settings on wired connections
https://bugs.launchpad.net/bugs/283233
You received this bug notification because you are a direct subscriber
of the bug.

Status in "network-manager" source package in Ubuntu: Triaged

Bug description:
Trying to set a static IP address on Intrepid Ibex Beta's out of the box
network manager (version 0.70), and I do the following:

Right click on the task bar's icon, select "Edit Connections", On wired tab
I click on the only interface shown (auto eth0), then click on Edit, select
IPV4 settings, change the method to manual, write my own settings, for
IP/Mask/Gateway and finally DNS, click OK, but nothing changes when I do
ifconfig. If I reboot the settings I've inserted there will not show.

milasch@milasch-desktop:~$ lsb_release -rd
Description: Ubuntu intrepid (development branch)
Release: 8.10

milasch@milasch-desktop:~$ sudo apt-cache policy network-manager
[sudo] password for milasch:
network-manager:
  Installed: 0.7~~svn20081008t224042-0ubuntu3
  Candidate: 0.7~~svn20081008t224042-0ubuntu3
  Version table:
 *** 0.7~~svn20081008t224042-0ubuntu3 0
        500 http://ca.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
milasch@milasch-desktop:~$

sirius56 (sirius56) wrote :

Same bug here. Wasted a lot of time trying to get around it without luck.

Is this a known bug (in the sense that the developers plan to fix it)?

I have the same problem. If I change settings with "System Settings" selected then on the next reboot the settings are forgotten and it will go back into auto DHCP mode. If I de-select "System Settings" when I reboot I will have two connects, the new one with auto DHCP mode being favoured.

nuttygamergeek@merry:~$ lsb_release -rd
Description: Ubuntu 8.10
Release: 8.10

nuttygamergeek@merry:~$ sudo apt-cache policy network-manager
[sudo] password for nuttygamergeek:
network-manager:
  Installed: 0.7~~svn20081018t105859-0ubuntu1
  Candidate: 0.7~~svn20081018t105859-0ubuntu1
  Version table:
 *** 0.7~~svn20081018t105859-0ubuntu1 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

Saivann Carignan (oxmosys) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 259214, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers